"""
  Test for Gaussian concentrations.
  -- kandasamy 
"""

import numpy as np
from scipy.stats import norm
from scipy import integrate

def main():
  """ Main function. """
  epsilon = 0.1;
#   p1 = 2 * norm.cdf(epsilon/np.sqrt(2)) - 1
  p1 = norm.cdf(epsilon/np.sqrt(2)) - norm.cdf(-epsilon/np.sqrt(2))
  integral_func = lambda z: (norm.cdf(z+epsilon) - norm.cdf(z-epsilon)) * norm.pdf(z)
  est_bound = np.inf
  p1_est = integrate.quad(integral_func, -est_bound, est_bound)[0]
  p2 = integrate.quad(integral_func, -epsilon, epsilon)[0]
  p3 = (norm.cdf(epsilon/2) - 0.5)**2

  print 'p1 = %0.4f'%(p1)
  print 'p1_est = %0.4f'%(p1_est)
  print 'p2 = %0.4f'%(p2)
  print 'p3 = %0.4f'%(p3)


if __name__ == '__main__':
  main()

